# mongoc_session_opts_get_transaction_opts()

## Synopsis

    mongoc_transaction_opt_t *
    mongoc_session_opts_get_transaction_opts (const mongoc_client_session_t *session);

The options for the current transaction started with this session. The resulting mongoc_transaction_opt_t should be freed with mongoc_transaction_opts_destroy(). If this `session` is not in a transaction, then the returned value is `NULL`. See mongoc_client_session_in_transaction().

## Parameters

- `session`: A mongoc_client_session_t.

## Returns

A newly allocated mongoc_transaction_opt_t that should be freed with mongoc_transaction_opts_destroy() or `NULL` if the session is not in a transaction.

### See Also:

mongoc_client_session_abort_transaction

mongoc_client_session_advance_cluster_time

mongoc_client_session_advance_operation_time

mongoc_client_session_commit_transaction

mongoc_client_session_destroy

mongoc_client_session_get_client

mongoc_client_session_get_cluster_time

mongoc_client_session_get_lsid

mongoc_client_session_get_operation_time

mongoc_client_session_get_opts

mongoc_client_session_get_server_id

mongoc_client_session_start_transaction

mongoc_client_session_t

mongoc_client_start_session

mongoc_session_opts_clone

mongoc_session_opts_destroy

mongoc_session_opts_get_causal_consistency

mongoc_session_opts_get_default_transaction_opts

mongoc_session_opts_new

mongoc_session_opts_set_causal_consistency

mongoc_session_opts_set_default_transaction_opts

mongoc_transaction_opts_clone

mongoc_transaction_opts_destroy

mongoc_transaction_opts_get_max_commit_time_ms

mongoc_transaction_opts_get_read_concern

mongoc_transaction_opts_get_read_prefs

mongoc_transaction_opts_get_write_concern

mongoc_transaction_opts_new

mongoc_transaction_opts_set_max_commit_time_ms

mongoc_transaction_opts_set_read_concern

mongoc_transaction_opts_set_read_prefs

mongoc_transaction_opts_set_write_concern